// ShellListTestView.h : interface of the CShellListTestView class
//


#pragma once
#include "afxcmn.h"
#include "afxwin.h"


class CShellListTestView : public CXTResizeFormView
{
protected: // create from serialization only
	CShellListTestView();
	DECLARE_DYNCREATE(CShellListTestView)

public:
	enum{ IDD = IDD_SHELLLISTTEST_FORM };

// Attributes
public:
	CShellListTestDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct

// Implementation
public:
	virtual ~CShellListTestView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	CXTShellTreeCtrl	m_ctrlTree;
	CXTShellListCtrlEx	m_ctrlList;
	CEdit				m_ctrlEdit;
};

#ifndef _DEBUG  // debug version in ShellListTestView.cpp
inline CShellListTestDoc* CShellListTestView::GetDocument() const
   { return reinterpret_cast<CShellListTestDoc*>(m_pDocument); }
#endif
