// ShellListTestView.cpp : implementation of the CShellListTestView class
//

#include "stdafx.h"
#include "ShellListTest.h"

#include "ShellListTestDoc.h"
#include "ShellListTestView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CShellListTestView

IMPLEMENT_DYNCREATE(CShellListTestView, CXTResizeFormView)

BEGIN_MESSAGE_MAP(CShellListTestView, CXTResizeFormView)
END_MESSAGE_MAP()

// CShellListTestView construction/destruction

CShellListTestView::CShellListTestView()
	: CXTResizeFormView(CShellListTestView::IDD)
{
	// TODO: add construction code here

}

CShellListTestView::~CShellListTestView()
{
}

void CShellListTestView::DoDataExchange(CDataExchange* pDX)
{
	CXTResizeFormView::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_TREE1, m_ctrlTree);
	DDX_Control(pDX, IDC_LIST1, m_ctrlList);
	DDX_Control(pDX, IDC_EDIT1, m_ctrlEdit);
}

BOOL CShellListTestView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CXTResizeFormView::PreCreateWindow(cs);
}

void CShellListTestView::OnInitialUpdate()
{
	CXTResizeFormView::OnInitialUpdate();
	ResizeParentToFit();

	SetResize(IDC_TREE1,  SZ_TOP_LEFT,		SZ_BOTTOM_LEFT);
	SetResize(IDC_LIST1,  SZ_TOP_LEFT,		SZ_BOTTOM_RIGHT);
	SetResize(IDC_EDIT1,  SZ_BOTTOM_LEFT,	SZ_BOTTOM_RIGHT);

	m_ctrlTree.AssociateList( &m_ctrlList );
	m_ctrlList.AssociateTree( &m_ctrlTree );
	m_ctrlList.SetSyncWnd( &m_ctrlEdit );
}


// CShellListTestView diagnostics

#ifdef _DEBUG
void CShellListTestView::AssertValid() const
{
	CXTResizeFormView::AssertValid();
}

void CShellListTestView::Dump(CDumpContext& dc) const
{
	CXTResizeFormView::Dump(dc);
}

CShellListTestDoc* CShellListTestView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CShellListTestDoc)));
	return (CShellListTestDoc*)m_pDocument;
}
#endif //_DEBUG


